<?php
namespace Backend\BaseBundle\Event\Controller;

use Symfony\Component\EventDispatcher\Event;

class ConfigEvent extends Event
{
    const EVENT_CONFIG = 'event.controller.config';

    private $config = null;
    private $controllerName;

    public function __construct($controllerName)
    {
        $this->controllerName = $controllerName;
    }

    public function getControllerName()
    {
        return $this->controllerName;
    }

    public function setConfig($config)
    {
        $this->config = $config;
    }

    public function getConfig()
    {
        return $this->config;
    }

}